Subject: Re: [bitcoin-dev] Parameters in BIP21 URIs

From: "Vincenzo Palazzo" <[email-masked]>
Date: Tue, 19 Sep 2023 11:58:33 +0200

> Kiminuo, this was discussed here: https://github.com/bitcoin/bips/pull/49

What was the conclusion? the discussion point to another discussion 
happens on here. It is kind confusing.

I do think that the grammar of the BIP 21 is under specified, in the sense
that each parameter need to specify also how many times can be repeted.

In lightning, people start to ask the possibility to have multiple
invoices, that make kind of sense due that we encode everythink inside 
a invoice. So a person need only to know the invoice. See more here [1]

I am more in favor to work on improving the BIP21 maybe with a new
version? where we change just the grammar a little bit.

[1] https://github.com/lightning/bolts/issues/1111#issuecomment-1725177738

Cheers,

Vincent.